Bug 163314 - FC2 raid-1 boot partition not found by FC4 installer for upgrading
FC2 raid-1 boot partition not found by FC4 installer for upgrading
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
: 163315 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 20:22 EDT by Need Real Name
Modified: 2008-02-16 08:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 08:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-07-14 20:22:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.6 (KHTML, like Gecko) Safari/412.2

Description of problem:
I have an installation of Fedora Core 4 on a Xeon system with dual SATA drives. The machine was installed 
in FC2 with RAID-1 partitions for /boot, /, /var. /home and swap. When I attempted to upgrade this
machine to FC4 today, the md root partition was found for upgrading and all the partitions were mounted 
by anaconda (according to df in a virtual terminal). However the /boot partition is not found for upgrading 
by anaconda in the Upgrade Boot partition section. Is this a known bug in anaconda? How am I supposed 
to upgrade such a system since the only options I am given is to skip upgrading the boot partition or to 
create a new boot partition (the upgrade the boot partition option is dimmed).
             Jack

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC2 with raid-1 partitions for /, /home, /boot, /var and swap.
2. Attempt to upgrade install FC4 on this machine.


Actual Results:  The Upgrade the Boot Loader step could not find a boot partition to upgrade despite the md for the /boot 
partition having been mounted by anaconda in the previous step.

Expected Results:  The /boot partition should have been found for upgrading by anaconda despite it being on a RAID-1 
partititon.

Additional info:
Comment 1 Jeremy Katz 2005-07-15 07:43:07 EDT
That's not finding the /boot partition, it's finding the boot loader. 
Unfortunately, there's not a definite way to always find it.  What are the
contents of your /boot/grub/grub.conf and /etc/sysconfig/grub?
Comment 2 Jeremy Katz 2005-07-15 07:43:31 EDT
*** Bug 163315 has been marked as a duplicate of this bug. ***
Comment 3 Need Real Name 2005-07-15 08:11:22 EDT
----/boot/grub/grub.conf-----
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/md1
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Fedora Core (2.6.10-1.771_FC2smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.771_FC2smp ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.771_FC2smp.img
title Fedora Core (2.6.10-1.771_FC2)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.771_FC2 ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.771_FC2.img
title Fedora Core (2.6.10-1.770_FC2smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.770_FC2smp ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.770_FC2smp.img
title Fedora Core (2.6.10-1.770_FC2)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.770_FC2 ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.770_FC2.img
title Fedora Core (2.6.10-1.14_FC2smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.14_FC2smp ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.14_FC2smp.img
title Fedora Core (2.6.10-1.14_FC2)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.14_FC2 ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.14_FC2.img
title Fedora Core (2.6.10-1.12_FC2smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.12_FC2smp ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.12_FC2smp.img
title Fedora Core (2.6.10-1.12_FC2)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.12_FC2 ro root=/dev/md1 rhgb quiet
        initrd /initrd-2.6.10-1.12_FC2.img

-----/etc/sysconfig/grub-----
boot=/dev/sda
forcelba=0
Comment 4 Need Real Name 2005-07-15 08:17:04 EDT
I am being told on the fedora-list mailing list...

https://www.redhat.com/archives/fedora-list/2005-July/msg02954.html

...that anaconda still doesn't understand md partitions and has to use the underlying
hd/sd partitions instead. The consensus seems to be that since the FC2 boot loader
is already installed that I can safely skip the upgrade boot loader step and that the
kernel entries will be properly added to grub so that I can boot the FC4 kernel. Does this
sound correct? Fedora needs to provide better support for upgrading systems with
all partitions as software RAID-1.
                Jack
Comment 5 Need Real Name 2005-07-15 12:59:50 EDT
I attempted the upgrade of FC2 to FC4 using the "Skip the Upgrade Boot Loader" option and the 
installation completed successfully and I could reboot into Fedora Core 4. However while the
installation was done on the RAID-1 partitions when I rebooted into Fedora Core 4 I found that
all of the RAID-1 partitions were degraded...

Personalities : [raid1] 
md1 : active raid1 sda2[1]
      30716160 blocks [2/1] [_U]
      
md2 : active raid1 sda3[1]
      3068160 blocks [2/1] [_U]
      
md3 : active raid1 sda5[1]
      2048000 blocks [2/1] [_U]
      
md4 : active raid1 sda6[0]
      81280768 blocks [2/1] [U_]
      
md0 : active raid1 sda1[1]
      104192 blocks [2/1] [_U]
      
unused devices: <none>

I saw this same behavior yesterday when I aborted the installer at the Upgrade the Boot Loader section 
of anaconda. While I have been able to hot add back the missing slices of my RAID-1 partitions, this 
should be considered a significant bug in anaconda.
Comment 6 Jan Hlavaty 2005-10-24 07:22:57 EDT
Please while fixing RAID handling in anaconda, add functionality to allow it to
use preexisting RAID arrays (and LVM on top of them) and add support for
recognizing / creating RAID arrays in degraded mode (i.e. install RAID1 on
single drive, to allow for adding more drives later).

All information to launch a particular md device is contained in the md
superblocks, it should not be hard to find the RAID drives/partitions that go
together using guids, all you have to ask user is which md device he wants it
connected to.

As it is now, it is not possible to install while preserving data on RAID
partitions.
Comment 7 Christian Iseli 2007-01-22 06:11:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 petrosyan 2008-02-16 08:49:47 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.